JxtaSocketSynchChannelFactory.JxtaServerSocketFactory (ActiveIO 1.0 API)
Keywords: org.activeio.net.JxtaSocketSynchChannelFactory.JxtaServerSocketFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.net
Class JxtaSocketSynchChannelFactory.JxtaServerSocketFactory

    java.lang.Object
      javax.net.ServerSocketFactory
          org.activeio.net.JxtaSocketSynchChannelFactory.JxtaServerSocketFactory

Enclosing class:
  JxtaSocketSynchChannelFactory

public static final class JxtaSocketSynchChannelFactory.JxtaServerSocketFactory
extends javax.net.ServerSocketFactory

Method Summary
`java.net.ServerSocket` | `createServerSocket(int localPort)`
`java.net.ServerSocket` | `createServerSocket(int localPort, int backlog)`
`java.net.ServerSocket` | `createServerSocket(int localPort, int backlog, java.net.InetAddress localHost)`
`static javax.net.ServerSocketFactory` | `getDefault()`

Methods inherited from class javax.net.ServerSocketFactory
`createServerSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefault

    public static javax.net.ServerSocketFactory getDefault()

### createServerSocket

    public java.net.ServerSocket createServerSocket(int localPort)
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### createServerSocket

    public java.net.ServerSocket createServerSocket(int localPort,
                                                    int backlog)
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### createServerSocket

    public java.net.ServerSocket createServerSocket(int localPort,
                                                    int backlog,
                                                    java.net.InetAddress localHost)
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.